Page MenuHomePhabricator

Update all the question scripts to use pageview data
Closed, ResolvedPublic

Description

Rank results by pageviews and take top 20% for creating questions.

Event Timeline

prnk28 created this task.Aug 3 2016, 8:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2016, 8:51 PM
Jsalsman added a comment.EditedAug 5 2016, 5:47 PM

https://mediawiki.org/wiki/API:Categorymembers
will make the top 20% pageview cutoff easier.

Remember to try the target="_blank" linked URL on top of the iframes in a <div> with a border.

If clear=all isn't keeping headers from the left instead of below the iframes, then try it in a <br> after the new div, or do what it takes to get the header to appear after the div

Make multiple sets of questions you can POST to /ask (T140683) instead of just generating files; all these things can be done at the same time because they are adjacent in the code.

Jsalsman triaged this task as High priority.Aug 5 2016, 5:47 PM

All scripts now use pageviews data for ranking purposes.
The associated python script that every question-creation script uses is here.

prnk28 closed this task as Resolved.Aug 14 2016, 7:53 PM